ARCHIVE-PUBMED(1)

NAME
archive-pubmed, index-pubmed - maintain a local NCBI PubMed archive

SYNOPSIS
archive-pubmed [[-]pma2pme|[-]asn[[.]1]] [[-]daily|[-][re]index] [[-]clean|[-]clear|[-]scrub] [[-]biocoll|[-]extras|[-]bioconcepts|[-]generifs] [[-]nihocc] [-ftp|-http[s]] [[-path] dir [[-temp|-work[ing]] dir]] index-pubmed

DESCRIPTION
archive-pubmed prepares a directory to hold a local PubMed archive, then downloads a full database dump and auxiliary vocabulary data from NCBI's servers, organizes the dump into an rchive(1) trie, and refreshes the versioned records. index-pubmed is shorthand for archive-pubmed -index, and takes no options.

OPTIONS

[-]pma2pme|[-]asn[[.]1]
    Additionally support retrieval in text ASN.1 Pubmed-entry format.

[-]daily
    Additionally produce or update an inverted index.

[-][re]index
    Fully reindex, complete with an inverted index.

[-]clean|[-]clear
    Delete Indices contents and Increment files.

[-]scrub
    Delete Indices contents, Increment files, and Postings directories.

[-]biocoll|[-]extras|[-]bioconcepts|[-]generifs
    Download or update auxiliary BioConcept and GeneRIF data.

[-]nihocc
    Incorporate NIH Open Citation Collection data, downloaded as needed.

-ftp
    Download needed data via FTP (default).

-http[s]
    Download needed data via HTTPS.

[-path] dir
    Place the local archive in dir.

[-temp|-work[ing]] dir
    Place intermediate subtrees in dir.

ENVIRONMENT

EDIRECT_PUBMED_MASTER
    Local archive directory to use in the absence of -path. Expected to hold an absolute path; mandatory when not supplying a path on the command line.

EDIRECT_PUBMED_WORKING
    Directory to hold intermediate subtrees in the absence of -temp|-work[ing]. Expected to hold an absolute path. Defaults to the primary local archive directory when not set.

SEE ALSO
archive-pmc(1), download-ncbi-data(1), download-pubmed(1), edict(1), expand-current(1), fetch-pubmed(1), phrase-search(1), pm-prepare(1), pm-refresh(1), rchive(1), ref2pmid(1), xtract(1).